From e75fc42316c85aaf6eb256bbc4f07ee3edb0e022 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 01:12:57 +0100
Subject: [PATCH 35/54] feat: frame around plain gtk power cap section

---
 lact-gui/ui/oc_page/power_cap_section_gtk.blp | 46 ++++++++++---------
 1 file changed, 25 insertions(+), 21 deletions(-)

diff --git a/lact-gui/ui/oc_page/power_cap_section_gtk.blp b/lact-gui/ui/oc_page/power_cap_section_gtk.blp
index 8d86b01b..a115b28c 100644
--- a/lact-gui/ui/oc_page/power_cap_section_gtk.blp
+++ b/lact-gui/ui/oc_page/power_cap_section_gtk.blp
@@ -3,28 +3,32 @@ using Gtk 4.0;
 template $PowerCapSection: $PageSection {
     name: "Power usage limit";
 
-    Box {
-        orientation: horizontal;
-        margin-top: 12;
-        margin-bottom: 12;
-        spacing: 6;
-        
-        Label value_label {
-            label: bind template.value-text;
-        }
-
-        Scale {
+    Frame {
+        Box {
             orientation: horizontal;
-            hexpand: true;
-            round-digits: 0;
-            draw-value: false;
-            adjustment: adjustment;
-        }
-        
-        Button reset_button {
-            styles ["circular", "flat"]
-            icon-name: "view-refresh-symbolic";
-            tooltip-text: "Reset to default";
+            margin-top: 12;
+            margin-bottom: 12;
+            margin-start: 12;
+            margin-end: 12;
+            spacing: 6;
+            
+            Label value_label {
+                label: bind template.value-text;
+            }
+
+            Scale {
+                orientation: horizontal;
+                hexpand: true;
+                round-digits: 0;
+                draw-value: false;
+                adjustment: adjustment;
+            }
+            
+            Button reset_button {
+                styles ["circular", "flat"]
+                icon-name: "view-refresh-symbolic";
+                tooltip-text: "Reset to default";
+            }
         }
     }
 }

